Bug 997715 - Unhandled (ignored?) exception on quickly changing TMs
Unhandled (ignored?) exception on quickly changing TMs
Status: CLOSED WORKSFORME
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Damian Jansen
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 00:29 EDT by Damian Jansen
Modified: 2014-07-28 01:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-28 01:41:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-08-16 00:29:42 EDT
Description of problem:
Moving from one translation to another causes an exception to pop up under the hood, without any indication anything has happened (ignored?)

Version-Release number of selected component (if applicable):
3.0

How reproducible:
Easy, frequent

Steps to Reproduce:
1. Go to a translation page with > 1 source
2. Quickly switch between the two

Actual results:
Error dispatching action: java.lang.NullPointerException: java.lang.NullPointerException
...

Expected results:
Something?
Comment 1 Sean Flanigan 2013-08-16 01:55:33 EDT
Is this in the JS console?
Comment 2 Sean Flanigan 2013-09-17 20:15:05 EDT
Is this in the JS console?
Comment 3 Damian Jansen 2014-07-28 01:41:07 EDT
Couldn't get this to occur again.
Tested 3.5.0-SNAPSHOT (git-server-3.4.2-201-ge0afdde)

Note You need to log in before you can comment on or make changes to this bug.